> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file rename rule variable slugs

> Retrieve all file rename rules slugs for the current user.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_files/rename_rules/slugs
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_files/rename_rules/slugs:
    get:
      tags:
        - EndUserFiles
      summary: Get file rename rule variable slugs
      description: Retrieve all file rename rules slugs for the current user.
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  type: string
                type: array
          description: A list of file rename rule slugs
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````